Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.classloader
Interface ResourceFinder

All Known Implementing Classes:
  UrlResourceFinder

    public interface ResourceFinder

Abstraction of resource searching policy. Given resource name, the resource finder performs implementation-specific lookup, and, if it is able to locate the resource, returns the `handle(s)` or URL(s) of it.

Version:
  $Rev: 704201 $ $Date: 2008-10-14 00:22:25 +0530 (Tue, 14 Oct 2008) $

Method Summary
`java.net.URL` | `findResource(java.lang.String name)` Find the resource by name and return URL of it if found.
`java.util.Enumeration` | `findResources(java.lang.String name)` Find all resources with given name and return enumeration of their URLs.
`ResourceHandle` | `getResource(java.lang.String name)` Get the resource by name and, if found, open connection to it and return the `handle` of it.

Method Detail

### findResource

    java.net.URL findResource(java.lang.String name)

  Find the resource by name and return URL of it if found.

  Parameters:
    `name` - the resource name
  Returns:
    resource URL or null if resource was not found

### findResources

    java.util.Enumeration findResources(java.lang.String name)

  Find all resources with given name and return enumeration of their URLs.

  Parameters:
    `name` - the resource name
  Returns:
    enumeration of resource URLs (possibly empty).

### getResource

    ResourceHandle getResource(java.lang.String name)

  Get the resource by name and, if found, open connection to it and return the `handle` of it.

  Parameters:
    `name` - the resource name
  Returns:
    resource handle or null if resource was not found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.